Bug 824848 - RFE: exclude .svn from tarballs when using svn as SCM and SCM option write_tar=True
Summary: RFE: exclude .svn from tarballs when using svn as SCM and SCM option write_ta...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: rawhide
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Clark Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-24 12:47 UTC by Stephan Dühr
Modified: 2013-05-05 02:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-04 01:41:12 UTC


Attachments (Terms of Use)
SCM: Use --exclude-vcs with tar where available (1.33 KB, patch)
2012-06-11 08:34 UTC, Marko Myllynen
no flags Details | Diff

Description Stephan Dühr 2012-05-24 12:47:43 UTC
Description of problem:
When using svn as SCM and --scm-option write_tar=True the generated
tarball contains all the .svn subdirectories. Not a problem for build,
but not nice

Version-Release number of selected component (if applicable):
mock-1.1.21-1.el6

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
In scm.py the line
    cmd = "tar czf " + tarball + " " + tardir
should be replaced by
    cmd = "tar --exclude-vcs -czf " + tarball + " " + tardir

at least when SCM is svn.

Comment 1 Marko Myllynen 2012-06-08 08:08:54 UTC
The reason for omitting --exclude-vcs option was that it is not available with RHEL 5 tar.

Clark, perhaps you could do the above change to the git master only, not to the mock-1.0 branch, if feasible?

Thanks.

Comment 2 Clark Williams 2012-06-09 15:24:13 UTC
I'll look at it and see how hard it would be to figure out if the option is available.

Comment 3 Marko Myllynen 2012-06-11 08:34:53 UTC
Created attachment 590856 [details]
SCM: Use --exclude-vcs with tar where available

It's actually easy to detect from tar --help output whether --exclude-vcs is supported or not. I think adding this is worth it.

Comment 4 Clark Williams 2013-04-01 15:48:40 UTC
Added to my work branch and queued for 1.1.31 release

Comment 5 Fedora Update System 2013-04-16 17:34:43 UTC
mock-1.1.31-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.31-1.fc19

Comment 6 Fedora Update System 2013-04-16 17:35:45 UTC
mock-1.1.31-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mock-1.1.31-1.fc17

Comment 7 Fedora Update System 2013-04-16 17:36:41 UTC
mock-1.1.31-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.31-1.el6

Comment 8 Fedora Update System 2013-04-16 17:37:37 UTC
mock-1.1.31-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mock-1.1.31-1.fc18

Comment 9 Fedora Update System 2013-04-17 16:22:26 UTC
Package mock-1.1.31-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mock-1.1.31-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5858/mock-1.1.31-1.fc19
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2013-04-18 20:28:10 UTC
mock-1.1.32-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mock-1.1.32-1.fc17

Comment 11 Fedora Update System 2013-04-18 20:29:20 UTC
mock-1.1.32-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mock-1.1.32-1.fc18

Comment 12 Fedora Update System 2013-04-18 20:30:58 UTC
mock-1.1.32-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.32-1.el6

Comment 13 Fedora Update System 2013-04-18 20:32:09 UTC
mock-1.1.32-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.32-1.fc19

Comment 14 Fedora Update System 2013-05-04 01:41:14 UTC
mock-1.1.32-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2013-05-05 02:29:12 UTC
mock-1.1.32-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2013-05-05 02:30:21 UTC
mock-1.1.32-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.